WordPress.org

Forums

JW Player for Flash & HTML5 Video
[resolved] JW Player, version 4.7 (licensed) (7 posts)

  1. rewing
    Member
    Posted 2 years ago #

    I apologize if this has been addressed. WordPress's search feature is not as narrowed/specific as I'd like.

    We currently have a licensed version 4.7 of JW Player. I'd like to use the JW Player WordPress plugin, but I've run into a couple of issues.

    The first was that this newest version of the WordPress plugin asked for a .zip file, but I was given an .swf by my employer. I tried the JW Player documentation on Longtail, but it referenced an older version that asked for an .swf file.
    Eventually, I was given access to log in to Longtail and download the original .zip file, so that's all gravy now.

    However, when I attempt to upload the .zip file, I'm receiving the message "Could not find player.swf or yt.swf. Either they are not present or the archive is invalid."
    Scouring through the .zip file, I see that the message is correct: I don't have a player.swf file. I do, however, have a player-licensed.swf. Wondering what the difference was, I looked back into the documentation and could not find reference to this older version of JW Player.

    Is the newest JW Player WordPress plugin not compatible with JW Player version 4? If this is the case and we're forced to upgrade to a newer version, would you recommend getting version 5 so I can use the WordPress plugin now, or holding off until the plugin is updated to be compatible with JW Player version 6?

    Thanks.

    http://wordpress.org/extend/plugins/jw-player-plugin-for-wordpress/

  2. rewing
    Member
    Posted 2 years ago #

    Oh, and if you need any more information at all, please let me know.

    Thanks.

  3. JW Player
    Member
    Plugin Author

    Posted 2 years ago #

    Hi There,

    This plugin, I'm afraid is only compatible with JW5, not 4 or 6.

    If you have a license for V4 and want V5, email us - http://www.longtailvideo.com/support/contact-us

    Thanks!

  4. rewing
    Member
    Posted 2 years ago #

    Alright, I was afraid of that. Well, this gives us an excuse to update.

    My only concern: when this plugin is updated to accept JWPv6, will it still support version 5?

    Thanks.

  5. JW Player
    Member
    Plugin Author

    Posted 2 years ago #

    Yes, that's the plan :) V5 will still work.

  6. rewing
    Member
    Posted 2 years ago #

    Excellent, thanks. We'll go ahead and get 5.

    Thanks again.

  7. JW Player
    Member
    Plugin Author

    Posted 2 years ago #

    Np.

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • JW Player for Flash & HTML5 Video
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic